Subject: Re: [PATCH 0/3] selftests/net: A couple of typos fixes in key-management test

From: Jakub Kicinski <[email-masked]>
Date: Wed, 24 Jan 2024 07:12:29 -0800

On Fri, 19 Jan 2024 18:39:14 +0000 Dmitry Safonov wrote:
> > You probably want something smaller to be honest.
> > tools/testing/selftests/net/config has a lot of stuff in it 
> > and it's actually missing a lot more. I'm working thru adding
> > the missing options to tools/testing/selftests/net/config 
> > right now so far I got:  
> 
> Thanks!
> 
> I'll send a patch for it in version 2 (as I anyway need to address
> Simon's feedback).

Hi Dmitry!

I put TCP_AO and VETH in the config and the tests seem to fail with

selftests: net/tcp_ao: rst_ipv4
not ok 1 # error 834[lib/kconfig.c:143] Failed to initialize kconfig 2: No such file or directory
# Planned tests != run tests (0 != 1)
# Totals: pass:0 fail:0 xfail:0 xpass:0 skip:0 error:1

The script does:

target=net/tcp_ao
make mrproper

vng -v -b -f tools/testing/selftests/$target
# build the scripts
make headers
make -C tools/testing/selftests/$target

vng -v -r arch/x86/boot/bzImage --user root
# inside the VM
make -C tools/testing/selftests TARGETS=$target run_tests